Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Class Series3DChangeEvent

java.lang.Object
java.util.EventObject
org.jfree.chart3d.data.Series3DChangeEvent

All Implemented Interfaces:
  `Serializable`

public class Series3DChangeEvent extends EventObject implements Serializable
An event that signals a change to a series (the "3D" in the name is to differentiate this class from the similar event object in JFreeChart).

Since:
  1.6
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`Series3DChangeEvent(Object source)`
Constructs a new event.

## Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Series3DChangeEvent

public Series3DChangeEvent(Object source)
Constructs a new event.

Parameters:
  `source` - the source of the change event.